VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
IController Class Reference
Version 4.0

extension to IControlListener used by UIDescription More...

Inheritance diagram for IController:

## Public Member Functions
virtual int32_t | getTagForName (UTF8StringPtr name, int32_t registeredTag) const
virtual IControlListener * | getControlListener (UTF8StringPtr controlTagName)
virtual CView * | createView (const UIAttributes &attributes, const IUIDescription *description)
virtual CView * | verifyView (CView *view, const UIAttributes &attributes, const IUIDescription *description)
virtual IController * | createSubController (UTF8StringPtr name, const IUIDescription *description)
Public Member Functions inherited from IControlListener
virtual | ~IControlListener () noexcept=default
virtual void | valueChanged (CControl *pControl)=0
virtual int32_t | controlModifierClicked (CControl *pControl, CButtonState button)
| return 1 if you want the control to not handle it, otherwise 0
virtual void | controlBeginEdit (CControl *pControl)
virtual void | controlEndEdit (CControl *pControl)
virtual void | controlTagWillChange (CControl *pControl)
virtual void | controlTagDidChange (CControl *pControl)

## Detailed Description

extension to IControlListener used by UIDescription

## Member Function Documentation

virtual IController* createSubController | ( | UTF8StringPtr | name,
|  | const IUIDescription * | description
| ) |  |
| inline virtual

Reimplemented in VST3Editor, and DelegationController.

virtual CView* createView | ( | const UIAttributes & | attributes,
|  | const IUIDescription * | description
| ) |  |
| inline virtual

Reimplemented in VST3Editor, and DelegationController.

virtual IControlListener* getControlListener | ( | UTF8StringPtr | controlTagName | ) |
| inline virtual

Reimplemented in DelegationController.

virtual int32_t getTagForName | ( | UTF8StringPtr | name,
|  | int32_t | registeredTag
| ) |  | const
| inline virtual

Reimplemented in DelegationController.

virtual CView* verifyView | ( | CView * | view,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | description
| ) |  |
| inline virtual

Reimplemented in VST3Editor, DelegationController, PadController, and GroupController.

The documentation for this class was generated from the following file:

- icontroller.h